アンサーを作成
curl --request POST \
--url https://api.olostep.com/v1/answers \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"task": "<string>",
"storage": {
"expires_in": "7d"
},
"json_format": {}
}
'import requests
url = "https://api.olostep.com/v1/answers"
payload = {
"task": "<string>",
"storage": { "expires_in": "7d" },
"json_format": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({task: '<string>', storage: {expires_in: '7d'}, json_format: {}})
};
fetch('https://api.olostep.com/v1/answers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.olostep.com/v1/answers",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'task' => '<string>',
'storage' => [
'expires_in' => '7d'
],
'json_format' => [
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.olostep.com/v1/answers"
payload := strings.NewReader("{\n \"task\": \"<string>\",\n \"storage\": {\n \"expires_in\": \"7d\"\n },\n \"json_format\": {}\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.olostep.com/v1/answers")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"task\": \"<string>\",\n \"storage\": {\n \"expires_in\": \"7d\"\n },\n \"json_format\": {}\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.olostep.com/v1/answers")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"task\": \"<string>\",\n \"storage\": {\n \"expires_in\": \"7d\"\n },\n \"json_format\": {}\n}"
response = http.request(request)
puts response.read_body{
"storage": {
"expires_in": "7d"
},
"id": "<string>",
"object": "<string>",
"created": 123,
"metadata": {},
"task": "<string>",
"result": {
"json_content": "<string>",
"json_hosted_url": "<string>"
}
}回答
回答を作成
POST
/
v1
/
answers
アンサーを作成
curl --request POST \
--url https://api.olostep.com/v1/answers \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"task": "<string>",
"storage": {
"expires_in": "7d"
},
"json_format": {}
}
'import requests
url = "https://api.olostep.com/v1/answers"
payload = {
"task": "<string>",
"storage": { "expires_in": "7d" },
"json_format": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({task: '<string>', storage: {expires_in: '7d'}, json_format: {}})
};
fetch('https://api.olostep.com/v1/answers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.olostep.com/v1/answers",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'task' => '<string>',
'storage' => [
'expires_in' => '7d'
],
'json_format' => [
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.olostep.com/v1/answers"
payload := strings.NewReader("{\n \"task\": \"<string>\",\n \"storage\": {\n \"expires_in\": \"7d\"\n },\n \"json_format\": {}\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.olostep.com/v1/answers")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"task\": \"<string>\",\n \"storage\": {\n \"expires_in\": \"7d\"\n },\n \"json_format\": {}\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.olostep.com/v1/answers")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"task\": \"<string>\",\n \"storage\": {\n \"expires_in\": \"7d\"\n },\n \"json_format\": {}\n}"
response = http.request(request)
puts response.read_body{
"storage": {
"expires_in": "7d"
},
"id": "<string>",
"object": "<string>",
"created": 123,
"metadata": {},
"task": "<string>",
"result": {
"json_content": "<string>",
"json_hosted_url": "<string>"
}
}結果の保持: この回答の保存されたファイルをデフォルトの7日間より長く保持するには、
storage.expires_in を渡してください。値: 7d, 10d, 30d, 60d, 90d, 180d, 365d, または never。詳細は ストレージ を参照してください。承認
Bearer認証ヘッダーはBearer の形式で、はあなたの認証トークンです。
ボディ
application/json
実行するタスク。
このアンサーの保存されたファイル(結果ファイルとそれを構築するために取得されたページ)がどのくらいの期間保持されるかを制御します。省略された場合、7日間保持されます。有効な値はレスポンスでstorage.expires_inとして返されます。機能ドキュメントのストレージセクションを参照してください。無効な値は400を返し、コードinvalid_storage_expires_inが表示されます。
Show child attributes
Show child attributes
空の値をスキーマとして持つ望ましい出力JSONオブジェクト、または単に欲しいデータを文字列として説明してください。
このページは役に立ちましたか?